DROP TABLE groups;
DROP TABLE users;
DROP TABLE usersprefs;
DROP TABLE scans;
DROP TABLE scansopts;
DROP TABLE comments;

CREATE TABLE groups
(
	id			SERIAL,
	groupname	VARCHAR,
	CONSTRAINT	grouppkey	PRIMARY KEY( id )
)WITH OIDS;

CREATE TABLE users
(
	id			SERIAL,
	username 	VARCHAR,
	firstname	VARCHAR,
	lastname	VARCHAR,
	address		VARCHAR,
	mail		VARCHAR,
	state		int4,
	admin		int4,
	gid			int4 REFERENCES groups( id ),
	CONSTRAINT userpkey PRIMARY KEY( id )
)WITH OIDS;

